import request from '@/utils/request'

// 获取菜单列表数据
export function getMenuLists(keyword) {
  return request({
    url: 'api/moduleinfo/gettreegridjson',
    method: 'get',
    params: {
      keyword
    }
  })
}

// 获取菜单数据
export function getMenu(mid) {
  return request({
    url: 'api/ModuleInfo/getmodule',
    method: 'get',
    params: {
      mid: mid
    }
  })
}

// 添加菜单数据
export function addMenu(data) {
  return request({
    url: 'api/ModuleInfo/addmodule',
    method: 'post',
    data
  })
}

// 编辑菜单数据
export function editMenu(data) {
  return request({
    url: 'api/ModuleInfo/editmodule',
    method: 'post',
    data
  })
}

// 删除菜单数据
export function deleteMenu(ids) {
  return request({
    url: 'api/ModuleInfo/delmodule',
    method: 'post',
    data: {
      ids
    }
  })
}

// 获取菜单下拉数据
export function getMenuDrop() {
  return request({
    url: 'api/ModuleInfo/GetALL',
    method: 'get'
  })
}

// 获取按钮数据
export function getBtn(mid) {
  return request({
    url: 'api/ModuleButtonInfo/getmodule',
    method: 'get',
    params: {
      mid: mid
    }
  })
}

// 获取按钮的列表
export function getBtnList(moduleid) {
  return request({
    url: 'api/modulebuttoninfo/gettreegridjson',
    method: 'get',
    params: {
      moduleid
    }
  })
}

// 添加按钮数据
export function addBtn(data) {
  return request({
    url: 'api/modulebuttoninfo/addModule',
    method: 'post',
    data
  })
}

// 编辑按钮数据
export function editBtn(data) {
  return request({
    url: 'api/ModuleButtonInfo/editmodule',
    method: 'post',
    data
  })
}

// 删除菜单按钮
export function deleteBtn(ids) {
  return request({
    url: 'api/ModuleButtonInfo/delmodule',
    method: 'post',
    data: {
      ids
    }
  })
}